<%-- 
    Document   : db48
    Created on : Oct 17, 2010, 2:10:46 AM
    Author     : Carlos Apablaza B
--%>

<%@page import="java.sql.*" %>
<%@page import="ChartDirector.*" %>
<%@page import="java.Lang.Integer.*" %>

<%
    String login = "user";
    String password = "user";
    String url = "jdbc:mysql://localhost:3306/tmotesky";
    Connection conn = null;
    Statement statement = null;
    ResultSet rs = null;
%>

<%

int k=8640/8; // 60*60/20=180 meditions per hour
    int div=k/20;

    Class.forName("com.mysql.jdbc.Driver").newInstance ();
    conn = DriverManager.getConnection(url, login, password);
    statement = conn.createStatement();

    //rs = statement.executeQuery("SELECT * FROM temp ORDER BY id DESC LIMIT 8640");
    rs = statement.executeQuery("SELECT * FROM temp WHERE mod(id,8)=0 ORDER BY id DESC LIMIT 1080");



    // The data for the line chart

    double [] data0 = new double [k];
    double [] data1 = new double [k];
    //double [] data2 = new double [k];
    String [] labels = new String [k];
    double utemp=0;
    double ulux=0;



    for(int i=k-1; i>=0; i--) {
        if(rs.next()) {
            data0[i]=Double.parseDouble(rs.getString("voltage"));
            if(i%div==0) labels[i]=rs.getString("time");
        }
    }

    rs = statement.executeQuery("SELECT * FROM umbral_temp");
    if(rs.next()) utemp = Double.parseDouble(rs.getString("utemp"));

    for(int i=k-1; i>=0; i--) data1[i] = utemp;

// Create an XYChart object of size 600 x 300 pixels, with a light blue (EEEEFF)
// background, black border, 1 pxiel 3D border effect and rounded corners
XYChart c = new XYChart(900, 300, 0xeeeeff, 0x000000, 1);
c.setRoundedFrame();

// Set the plotarea at (55, 58) and of size 520 x 195 pixels, with white background.
// Turn on both horizontal and vertical grid lines with light grey color (0xcccccc)
c.setPlotArea(55, 58, 820, 195, 0xffffff, -1, -1, 0xcccccc, 0xcccccc);

// Add a legend box at (50, 30) (top of the chart) with horizontal layout. Use 9 pts
// Arial Bold font. Set the background and border color to Transparent.
c.addLegend(50, 30, false, "Arial Bold", 9).setBackground(Chart.Transparent);

// Add a title box to the chart using 15 pts Times Bold Italic font, on a light blue
// (CCCCFF) background with glass effect. white (0xffffff) on a dark red (0x800000)
// background, with a 1 pixel 3D border.
c.addTitle("Temperature Variation", "Times New Roman Bold Italic", 15
    ).setBackground(0xccccff, 0x000000, Chart.glassEffect());

// Add a title to the y axis
c.yAxis().setTitle("Temperature [C]");

// Set the labels on the x axis.
c.xAxis().setLabels(labels);

// Display 1 out of 3 labels on the x-axis.
c.xAxis().setLabelStep(3);

// Add a title to the x axis
c.xAxis().setTitle("Time");

// Add a line layer to the chart
LineLayer layer = c.addLineLayer2();

// Set the default line width to 2 pixels
layer.setLineWidth(1);

// Add the three data sets to the line layer. For demo purpose, we use a dash line
// color for the last line
layer.addDataSet(data0, 0xff0000, "Temperature");
layer.addDataSet(data1, 0x008800, "Current Threshold");


// Output the chart
String chart1URL = c.makeSession(request, "chart1");


// Include tool tip for the chart
String imageMap1 = c.getHTMLImageMap("", "",
    "title='{dataSetName}: {value}C'");

rs.close();
conn.close();
statement.close();

%>


<title>Light intensity and temperature variation</title>

<html>
<body style="margin:5px 0px 0px 5px">
<div style="font-size:18pt; font-family:verdana; font-weight:bold">
    Light intensity and temperature variation for the last 48 hours
</div>
    This page will be automatically refreshed everytime a new measurament is captured.
    <br>If the sensed data is greater than the given threshold, an alert email will be sent to the selected destination.
<html>
<body style="margin:5px 0px 0px 5px">
<div style="font-size:18pt; font-family:verdana; font-weight:bold">
</div>
<hr color="#000080">
<div style="font-size:9pt; font-family:verdana; margin-bottom:1.5em">
</div>
<img src='<%=response.encodeURL("getchart.jsp?"+chart1URL)%>'
    usemap="#map1" border="0">
<map name="map1"><%=imageMap1%></map><br><br>


<%

    conn = DriverManager.getConnection(url, login, password);
    statement = conn.createStatement();

    
    rs = statement.executeQuery("SELECT * FROM lux WHERE mod(id,8)=0 ORDER BY id DESC LIMIT 1080");

    for(int i=k-1; i>=0; i--) {
        if(rs.next()) {
            data0[i]=Double.parseDouble(rs.getString("voltage"));
            if(i%div==0) labels[i]=rs.getString("time");
        }
    }

    rs = statement.executeQuery("SELECT * FROM umbral_lux");
    if(rs.next()) ulux = Double.parseDouble(rs.getString("ulux"));

    for(int i=k-1; i>=0; i--) data1[i] = ulux;

// Create an XYChart object of size 600 x 300 pixels, with a light blue (EEEEFF)
// background, black border, 1 pxiel 3D border effect and rounded corners
XYChart c2 = new XYChart(900, 300, 0xeeeeff, 0x000000, 1);
c2.setRoundedFrame();

// Set the plotarea at (55, 58) and of size 520 x 195 pixels, with white background.
// Turn on both horizontal and vertical grid lines with light grey color (0xcccccc)
c2.setPlotArea(55, 58, 820, 195, 0xffffff, -1, -1, 0xcccccc, 0xcccccc);

// Add a legend box at (50, 30) (top of the chart) with horizontal layout. Use 9 pts
// Arial Bold font. Set the background and border color to Transparent.
c2.addLegend(50, 30, false, "Arial Bold", 9).setBackground(Chart.Transparent);

// Add a title box to the chart using 15 pts Times Bold Italic font, on a light blue
// (CCCCFF) background with glass effect. white (0xffffff) on a dark red (0x800000)
// background, with a 1 pixel 3D border.
c2.addTitle("Light Variation", "Times New Roman Bold Italic", 15
    ).setBackground(0xccccff, 0x000000, Chart.glassEffect());

// Add a title to the y axis
c2.yAxis().setTitle("Light [lux]");

// Set the labels on the x axis.
c2.xAxis().setLabels(labels);

// Display 1 out of 3 labels on the x-axis.
c2.xAxis().setLabelStep(3);

// Add a title to the x axis
c2.xAxis().setTitle("Time");

// Add a line layer to the chart
LineLayer layer2 = c2.addLineLayer2();

// Set the default line width to 2 pixels
layer2.setLineWidth(1);

// Add the three data sets to the line layer. For demo purpose, we use a dash line
// color for the last line
layer2.addDataSet(data0, 0xff0000, "Light");
layer2.addDataSet(data1, 0x008800, "Current Threshold");


// Output the chart
String chart1URL2 = c2.makeSession(request, "chart1");

// Include tool tip for the chart
String imageMap12 = c2.getHTMLImageMap("", "",
    "title='{dataSetName}: {value} [lux]'");

rs.close();
conn.close();
statement.close();

%>


<img src='<%=response.encodeURL("getchart.jsp?"+chart1URL2)%>'
    usemap="#map2" border="0">
<map name="map2"><%=imageMap12%></map>

</body>
</html>

<TR>
<br>
    <TD><FORM ACTION="/sensor/index.jsp" method="get" >
    <button type="submit">Back</button></TD>
</TR>

<script type=text/javascript>
    // The time out value is set to be 10,000 milli-seconds (or 20 seconds)
    setTimeout(' document.location=document.location' ,90000);
</script>
